%option noyywrap
%x rul clos

%{
#include <stdio.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>
#include "ipac.h"
#include "batch.tab.h"

%}

%%
[0-9]+		yylval.n = atoi(yytext); return NUMBER;
^list		return LIST;
^LIST		return LIST;
^delete		return DELETE;
^DELETE		return DELETE;
^add		return ADD;
^ADD		return ADD;
^quit		return QUIT;
^QUIT		return QUIT;
\|		BEGIN(rul); return DELIMITER;
<clos>\|	BEGIN(0); return DELIMITER;
<rul>[[:alnum:] \t\-\_]+  {
		    BEGIN(clos);
		    yylval.s = xstrdup(yytext); 
		    return RULENAME;
		    }
[a-z0-9.\-]+	yylval.s = (char *) strdup(yytext); return WORD;
\(		return '(';
\)		return ')';
[ \t]+		;
\n		return LF;
%%
